package com.aucma.base.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.aucma.base.mapper.SamplingPlanMapper;
import com.aucma.base.domain.SamplingPlan;
import com.aucma.base.service.ISamplingPlanService;

@Service
public class SamplingPlanServiceImpl implements ISamplingPlanService {
    @Autowired
    private SamplingPlanMapper samplingPlanMapper;

    @Override
    public SamplingPlan selectSamplingPlanByObjId(Long objId) {
        return samplingPlanMapper.selectSamplingPlanByObjId(objId);
    }

    @Override
    public List<SamplingPlan> selectSamplingPlanList(SamplingPlan samplingPlan) {
        return samplingPlanMapper.selectSamplingPlanList(samplingPlan);
    }

    @Override
    public int insertSamplingPlan(SamplingPlan samplingPlan) {
        return samplingPlanMapper.insertSamplingPlan(samplingPlan);
    }

    @Override
    public int updateSamplingPlan(SamplingPlan samplingPlan) {
        return samplingPlanMapper.updateSamplingPlan(samplingPlan);
    }

    @Override
    public int deleteSamplingPlanByObjIds(Long[] objIds) {
        return samplingPlanMapper.deleteSamplingPlanByObjIds(objIds);
    }

    @Override
    public int deleteSamplingPlanByObjId(Long objId) {
        return samplingPlanMapper.deleteSamplingPlanByObjId(objId);
    }
}
